// Statues_Clash by Knowitall66

// Direction & elevation checked and adjusted - Speaker

textures/skies/ely_cloudtop
{
	qer_editorimage env/ely_cloudtop/cloudtop_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 200
	q3map_sun 1 1 1 200 100 30
	skyparms env/ely_cloudtop/cloudtop - -
}

textures/Statues_Clash/ter_grassmud	// Around the ruins
{
        qer_editorimage textures/Statues_Clash/ter_grassmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/Statues_Clash/grass_lush.jpg	// Primary
		rgbGen identity
	}
	{
		map textures/Statues_Clash/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/Statues_Clash/crystal_glow //Defines when to load if selected from texture menu
{
	qer_editorimage textures/Statues_Clash/286.jpg //image displayed in radiant
	q3map_lightimage textures/Statues_Clash/286.jpg //emitting pattern
	q3map_surfacelight 750 //This is the setting that makes the texture emit light

	{
		map textures/Statues_Clash/286.jpg //Texture displayed in map

	}

	{
		map $lightmap //maps lightmap in
		tcGen lightmap //generates lightmap
	}

	{
		map textures/Statues_Clash/286.jpg //Overlay source, kinda
		blendfunc add //Adds previous image ignoring the darker parts.
	}
	{
		map textures/Statues_Clash/grunge4.jpg
		blendfunc add
		rgbgen wave sin 0.580392 0 1
	}
} 
textures/Cool/crystal_glow2 //Defines when to load if selected from texture menu
{
	qer_editorimage textures/Cool/286.jpg //image displayed in radiant
	q3map_lightimage textures/Cool/286.jpg //emitting pattern
	q3map_surfacelight 750 //This is the setting that makes the texture emit light
	q3map_tessSize 64
	deformVertexes wave 200 sin 0 1 .5 .5
	{
		map textures/Cool/286.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .01 .005
	}
	{
		map textures/Cool/286.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .015 .015
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/Statues_Clash/force_field_s_2
	{
	qer_editorimage textures/Statues_Clash/force_field_2.tga
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map textures/Statues_Clash/force_field_2.tga
		tcMod Scroll .1 0
		blendFunc add
	}
	{
		map textures/Statues_Clash/force_grid_2.tga
		tcMod Scroll -.01 0
		blendFunc add
		rgbgen wave sin .2 .2 0 .4
	}
}
textures/Statues_Clash/water
{
	q3map_surfacelight 50
	q3map_globaltexture
	qer_trans .5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water

	cull disable
	q3map_tessSize 64
	deformVertexes wave 200 sin 0 1 .5 .5
	{
		map textures/Statues_Clash/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .02 .01
	}
	{
		map textures/Statues_Clash/water.jpg
		blendFunc GL_DST_COLOR GL_ONE
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}